Description

It should reload its configuration ad fixed intervals, but it does not.

History

#1 - Nov 30, 2018 09:25 PM - Andrea Dell'Amico

- Status changed from New to In Progress

It's a bug, introduced in version 1.1.7 and fixed in 1.1.13. The bug tracking is here: 

https://jira.qos.ch/browse/LOGBACK-1194?jql=text%20~%20%22scanPeriod%22

As a workaround it's possible to specify an explicit interval, eg:

<configuration scan="true" scanPeriod="60 seconds" debug="false">

 I tested that configuration successfully on accounting-harvester.d4science.org.

#2 - Nov 30, 2018 09:28 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

I added scanPeriod="60 seconds" to the logback template in the smartgears playbook.

The change must be provisioned on the servers where the functionality is needed, otherwise it will deployed at the next smartgears upgrade.

#3 - Dec 03, 2018 09:19 AM - Luca Frosini

It sounds really good.

#4 - Dec 05, 2018 01:18 PM - Luca Frosini

I tested a log level change on accounting-harvester.d4science.org and it worked.

Thanks a lot
